<?PHP
////++++++++++++++++ CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecución
$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
ini_set('max_execution_time', $LtEn);
include ("Conections/$VpnEn.php");
include ("Funcion_Numerico.php");

$Cve_Modulo = "CMOD201506100193";

///Arrastra Variables Fijas
$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];


	/////////Identificar personalización 1 
		$sqlP1 = mysql_query("select * from wms_personaliza1 where ID='1'");
		if (mysql_numrows($sqlP1)==0) echo "";
		else{
		$registroP1=mysql_fetch_array($sqlP1);
		}
		if (mysql_numrows($sqlP1)>0)
		{
		$BBackg=$registroP1["BODY_BACKGROUND_IMG"];
		}
	
	/////////Identificar personalización 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
		
	/////////Identificar personalización 3
		$sqlP3 = mysql_query("select * from wms_personaliza3 where ID='1'");
		if (mysql_numrows($sqlP3)==0) echo "";
		else{
		$registroP3=mysql_fetch_array($sqlP3);
		}
		if (mysql_numrows($sqlP3)>0)
		{
		$FuTi_Form=$registroP3["FUENTE_TITULOFORMULARIO"];
		$TaTi_Form=$registroP3["TAMANO_TITULOFORMULARIO"];
		$BgTi_Form=$registroP3["COLOR_TITULOFORMULARIO"];
		$FuCu_Form=$registroP3["FUENTE_FORMULARIO"];
		$TaCu_Form=$registroP3["TAMANO_FORMULARIO"];
		$BgCu_Form=$registroP3["COLOR_FORMULARIO"];
		$FonTi_Form=$registroP3["BG_TABLATITULO"];
		$FonCi_Form=$registroP3["BG_TABLACUERPO"];
		$FonSe_Form=$registroP3["BG_TABLASEPARACION"];
		$Borde_Form=$registroP3["BORDER_CAMPO"];
		$CamDe_Form=$registroP3["BG_CAMPODESHABILITADO"];
		$ClaBtn=$registroP3["CLASE_BOTON"];
		}
		
	/////////Identificar personalización 4
		$sqlP4 = mysql_query("select * from wms_personaliza4 where ID='1'");
		if (mysql_numrows($sqlP4)==0) echo "";
		else{
		$registroP4=mysql_fetch_array($sqlP4);
		}
		if (mysql_numrows($sqlP4)>0)
		{
		$Bord_Tabl=$registroP4["BG_BORDE"];
		$Fond_Tabl=$registroP4["BG_FONDOGRALTABLA"];
		$BgF1_Tabl=$registroP4["BG_FILA_1"];
		$BgF2_Tabl=$registroP4["BG_FILA_2"];
		$FTit_Tabl=$registroP4["FUENTE_TABLATITULO"];
		$TTit_Tabl=$registroP4["TAMANO_FUENTETABLATITULO"];
		$CFTi_Tabl=$registroP4["COLOR_FUENTETABLATITULO"];
		$FEnc_Tabl=$registroP4["FUENTE_TABLAENCA"];
		$TEnc_Tabl=$registroP4["TAMANO_FUENTETABLAENCA"];
		$CEnc_Tabl=$registroP4["COLOR_FUENTETABLAENCA"];
		$FCue_Tabl=$registroP4["FUENTE_TABLACUER"];
		$TCue_Tabl=$registroP4["TAMANO_FUENTETABLACUER"];
		$CCue_Tabl=$registroP4["COLOR_FUENTETABLACUER"];
		}		
		
	/////////Identificar configuracion 1
		$sqlC1 = mysql_query("select * from wms_configura1 where ID='1'");
		if (mysql_numrows($sqlC1)==0) echo "";
		else{
		$registroC1=mysql_fetch_array($sqlC1);
		}
		if (mysql_numrows($sqlC1)>0)
		{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
		}
		
	/////////Identifica si el token aun esta vigente
		$ExtAño = substr($TokEn, -28, 4);    // devuelve el año
		$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
		$ExtMes = substr($TokEn, -14, 2);    // devuelve el día
		$FechTok=$ExtDia."/".$ExtMes."/".$ExtAño;
		$FechAct=$PreTo4=date("d/m/Y");
		
		if ($FechTok<>$FechAct)
		{
			echo "<script>alert('La sesión del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_Force.php?USUkp=$UsuEn&IdDeAcc=$IDSeEn'>";
		}
		else
		{ ///Inicia IF Sesion Token
		
	/////////Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesión ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogIn.php'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
		
	/////////Identificar permisos de acceso 2
		$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
		if (mysql_numrows($sqlPA2)==0) 
		{
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 2
	
	/////////Identificar permisos de acceso 3 - Acreditación de Sesión Activa	
		$sqlPA3 = mysql_query("select * from tabla_controlsesiones where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlPA3)==0) 
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&' target='_parent'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 3
		
		//////HORA y FECHA/////
			$Hora=time();
			$HoraOK=date("H:i:s",$Hora);
			$Fecha=date("Y/m/d");
			
			//////Identificar la Cuenta y la Bodega
			$sqlCR1 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
			if (mysql_numrows($sqlCR1)==0) echo "";
			else{
			$registroCR1=mysql_fetch_array($sqlCR1);
			}
			if (mysql_numrows($sqlCR1)>0)
			{
			$CveBodCR1=$registroCR1["CVE_BODEGA"];
			$CveCueCR1=$registroCR1["CVE_CUENTA"];
			}
			
				$sqlCR2 = mysql_query("select * from wms_configura_altabodega where CVE_BODEGA='$CveBodCR1'");
				if (mysql_numrows($sqlCR2)==0) echo "";
				else{
				$registroCR2=mysql_fetch_array($sqlCR2);
				}
				if (mysql_numrows($sqlCR2)>0)
				{
				$NomBodCR2=$registroCR2["NOMBRE_BODEGA"];
				}
				
				////Arrastrando la Variable del Documento
				$NoOrdenEn=$_GET["NoOrden"] or $NoOrdenEn=$_POST["NoOrden"];
				
				////Identificar los datos del Documento de Recibo
				$sqlIDR1 = mysql_query("select ESTADO_ORDEN,REFERENCIA1,REFERENCIA2,FECHA,HORA from extra_ordentrabajo where CVE_CUENTA='$CveCueCR1' AND NO_ORDEN='$NoOrdenEn'");
				if (mysql_numrows($sqlIDR1)==0) echo "";
				else{
				$registroIDR1=mysql_fetch_array($sqlIDR1);
				}
				if (mysql_numrows($sqlIDR1)>0)
				{
				$EdoOrdeIDR1=$registroIDR1["ESTADO_ORDEN"];
				$Refere1IDR1=$registroIDR1["REFERENCIA1"];
				$Refere2IDR1=$registroIDR1["REFERENCIA2"];
				$RegHoraIDR1=$registroIDR1["FECHA"];
				$RegFechIDR1=$registroIDR1["HORA"];					
				}
			
////++++++++++++++ FIN CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<?PHP echo"<link rel='stylesheet' href='cssBtn/style_Btns.css'>"; ?>
<script language='javascript' src="popcalendar.js"></script>
<link rel="shortcut icon" href="../WMS_Resources/images/favicon.ico">
<title><?PHP echo $Titulo; ?></title>
<style type="text/css">
body {
	background-image: url(../WMS_Resources/images/MainBkgr/<?PHP echo $BBackg; ?>);
}

.Clase_TipoLetraTitulos {
	font-family: <?PHP echo $FuTi_Form; ?>;
	font-size:<?PHP echo $TaTi_Form; ?>px;
	color:<?PHP echo $BgTi_Form; ?>;
}
.Clase_TipoLetra {
	font-family: <?PHP echo $FuCu_Form; ?>;
	font-size:<?PHP echo $TaCu_Form; ?>px;
	color:<?PHP echo $BgCu_Form; ?>;
}
.Clase_INPUT_Text {
	border: 1px solid <?PHP echo $Borde_Form; ?>;
	background: #FFFFFF;
	COLOR: #000000;
	FONT-FAMILY: Arial, Helvetica, sans-serif;
	FONT-SIZE: 12px;
	}

</style>

<!-- Inicia Validador de Inactividad -->
<script type="text/javascript">
var Inac;
function ini() {
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
function parar() {
  clearTimeout(Inac);
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
</script>

<!-- Termina Validador de Inactividad -->

<!-- Inicia Función Abre POPUP -->
<script languaje="JavaScript">
function otra_ventana(direccion) {
var ruta=direccion;

var caracteristicas="toolbar=0, location=0, directories=0, resizable=0, scrollbars=yes, height=400, width=600, top=120, left=350";
win=window.open(ruta ,"",caracteristicas);
}
</script>
<script type="text/javascript">
function popup(url,ancho,alto) {
var posicion_x; 
var posicion_y; 
posicion_x=(screen.width/2)-(ancho/2); 
posicion_y=(screen.height/2)-(alto/2); 
window.open(url, "mstech.mx", "width="+ancho+",height="+alto+",menubar=0,toolbar=0,directories=0,scrollbars=yes,resizable=no,left="+posicion_x+",top="+posicion_y+"");
}
</script>
<!-- Termina Función Abre POPUP -->
	
<!-- Inicia Función Abre POPUP 2-->
<script languaje="JavaScript">
function otra_ventana2(direccion) {
var ruta=direccion;

var caracteristicas="toolbar=0, location=0, directories=0, resizable=0, scrollbars=yes, height=500, width=900, top=120, left=185";
win=window.open(ruta ,"",caracteristicas);
}
</script>
<script type="text/javascript">
function popup(url,ancho,alto) {
var posicion_x; 
var posicion_y; 
posicion_x=(screen.width/2)-(ancho/2); 
posicion_y=(screen.height/2)-(alto/2); 
window.open(url, "mstech.mx", "width="+ancho+",height="+alto+",menubar=0,toolbar=0,directories=0,scrollbars=yes,resizable=no,left="+posicion_x+",top="+posicion_y+"");
}
</script>
<!-- Termina Función Abre POPUP 2-->
	
<!-- Inicia Función Abre POPUP 3-->
<script languaje="JavaScript">
function otra_ventana3(direccion) {
var ruta=direccion;

var caracteristicas="toolbar=0, location=0, directories=0, resizable=0, scrollbars=yes, height=500, width=890, top=120, left=185";
win=window.open(ruta ,"",caracteristicas);
}
</script>
<script type="text/javascript">
function popup(url,ancho,alto) {
var posicion_x; 
var posicion_y; 
posicion_x=(screen.width/2)-(ancho/2); 
posicion_y=(screen.height/2)-(alto/2); 
window.open(url, "mstech.mx", "width="+ancho+",height="+alto+",menubar=0,toolbar=0,directories=0,scrollbars=yes,resizable=no,left="+posicion_x+",top="+posicion_y+"");
}
</script>
<!-- Termina Función Abre POPUP 3-->
	
</head>

<body onload="ini()" onkeypress="parar()" onclick="parar()">
<?PHP
include ("MenuEstructura.php");
?>

<!-- Inicia Cuerpo de la Interfaz Gráfica -->
<Br><Br><Br><Br><Br><Br><Br><Br>
<div align="center">
<form id="form1" name="form1" method="post" action="#.php">

  <table width="842" border="0" style="border-collapse: collapse" bgcolor="<?PHP echo $FonTi_Form; ?>">
        <tr>
          <td height="30" colspan="5" align="left"><span class="Clase_TipoLetraTitulos">&nbsp;&nbsp;|| VISUALIZACIÓN DE ORDENES DE TRABAJO - DETALLE ||</span></td>
      </tr>
        <tr>
          <td colspan="5" bgcolor="<?PHP echo $FonSe_Form; ?>"><span class="Estilo8">.</span></td>
        </tr>
        <tr>
          <td colspan="5" bgcolor="<?PHP echo $FonCi_Form; ?>">.</td>
        </tr>
        <tr>
          <td width="101" bgcolor="<?PHP echo $FonCi_Form; ?>"><div align="left" class="Clase_TipoLetra">&nbsp;&nbsp;Bodega:</div></td>
        <td width="290" bgcolor="<?PHP echo $FonCi_Form; ?>"><div align="left"><span class="Clase_TipoLetra">
          <input name="txt_CveBodega" type="text" disabled="disabled" required="required" class="textoINPUT" id="txt_CveBodega" style="background-color:<?PHP echo $CamDe_Form; ?>" onkeypress='return numerico (event)' value="<?PHP echo $CveBodCR1; ?>" size="3"/><input name="txt_NomBodega" type="text" disabled="disabled" class="textoINPUT" id="txt_NomBodega" style="background-color:<?PHP echo $CamDe_Form; ?>" value="<?PHP echo $NomBodCR2; ?>" size="25" /></span><input type="button" disabled="disabled" style="WIDTH: 27px; HEIGHT: 20px;text-align:center; font-weight: bold;" value="..." name="...2" onclick="javascript:otra_ventana('5-RegistroUbicacionPOPUP_CUENTAS.php?UsuKP=<?PHP echo $UsuEn; ?>&amp;IdDAcce=<?PHP echo $IDSeEn; ?>&amp;TokenKP=<?PHP echo $TokEn; ?>&amp;CtaSKP=<?PHP echo $CtaSesionEn; ?>&amp;VPN=<?PHP echo $VpnEn; ?>&amp;LT=<?PHP echo $LtEn; ?>')"; />
        </div></td>
        <td width="3" bgcolor="<?PHP echo $FonCi_Form; ?>">&nbsp;</td>
        <td width="138" bgcolor="<?PHP echo $FonCi_Form; ?>"><div align="left" class="Clase_TipoLetra">&nbsp;&nbsp;Cuenta:</div></td>
        <td width="288" bgcolor="<?PHP echo $FonCi_Form; ?>"><div align="left"><span class="Clase_TipoLetra">
          <input name="txt_CveCuen" type="text" disabled="disabled" required="required" class="textoINPUT" id="txt_CveCuen" style="background-color:<?PHP echo $CamDe_Form; ?>" onkeypress='return numerico (event)' value="<?PHP echo $CveCueCR1; ?>" size="3"/><input name="txt_NomCuenta" type="text" disabled="disabled" class="textoINPUT" id="txt_NomCuenta" style="background-color:<?PHP echo $CamDe_Form; ?>" value="<?PHP echo $CtaSesionEn; ?>" size="25" /></span><input type="button" disabled="disabled" style="WIDTH: 27px; HEIGHT: 20px;text-align:center; font-weight: bold;" value="..." name="...4" onclick="javascript:otra_ventana('5-RegistroUbicacionPOPUP_CUENTAS.php?UsuKP=<?PHP echo $UsuEn; ?>&amp;IdDAcce=<?PHP echo $IDSeEn; ?>&amp;TokenKP=<?PHP echo $TokEn; ?>&amp;CtaSKP=<?PHP echo $CtaSesionEn; ?>&amp;VPN=<?PHP echo $VpnEn; ?>&amp;LT=<?PHP echo $LtEn; ?>')"; />
        </div></td>
        </tr>
        <tr>
          <td bgcolor="<?PHP echo $FonCi_Form; ?>"><div align="left" class="Clase_TipoLetra">&nbsp;&nbsp;# Orden:</div></td>
          <td bgcolor="<?PHP echo $FonCi_Form; ?>"><div align="left">
            <input name="txt_NoDoc" type="text" class="textoINPUT" id="txt_NoDoc" style="background-color:<?PHP echo $CamDe_Form; ?>" value="<?PHP echo $NoOrdenEn; ?>" readonly="readonly"/>
          </div></td>
          <td bgcolor="<?PHP echo $FonCi_Form; ?>">&nbsp;</td>
          <td bgcolor="<?PHP echo $FonCi_Form; ?>"><div align="left" class="Clase_TipoLetra">&nbsp;&nbsp;Estado Orden:</div></td>
          <td bgcolor="<?PHP echo $FonCi_Form; ?>"><div align="left">
            <input name="txt_NoDoc2" type="text" class="textoINPUT" id="txt_NoDoc2" style="background-color:<?PHP echo $CamDe_Form; ?>" value="<?PHP echo $EdoOrdeIDR1; ?>" readonly="readonly"/>
          </div></td>
        </tr>
        <tr>
          <td bgcolor="<?PHP echo $FonCi_Form; ?>"><div align="left" class="Clase_TipoLetra">&nbsp;&nbsp;Referencia 1:</div></td>
        <td bgcolor="<?PHP echo $FonCi_Form; ?>"><div align="left">
          <input name="txt_NoDoc2" type="text" class="textoINPUT" id="txt_NoDoc2" style="background-color:<?PHP echo $CamDe_Form; ?>" value="<?PHP echo $Refere1IDR1; ?>" readonly="readonly"/>
        </div></td>
        <td bgcolor="<?PHP echo $FonCi_Form; ?>">&nbsp;</td>
        <td bgcolor="<?PHP echo $FonCi_Form; ?>"><div align="left" class="Clase_TipoLetra">&nbsp;&nbsp;Referencia 2:</div></td>
        <td bgcolor="<?PHP echo $FonCi_Form; ?>"><div align="left">
          <input name="txt_NoDoc4" type="text" class="textoINPUT" id="txt_NoDoc4" style="background-color:<?PHP echo $CamDe_Form; ?>" value="<?PHP echo $Refere2IDR1; ?>" readonly="readonly"/>
        </div></td>
        </tr>
        <tr>
          <td bgcolor="<?PHP echo $FonCi_Form; ?>"><div align="left" class="Clase_TipoLetra">&nbsp;&nbsp;Fecha:</div></td>
          <td bgcolor="<?PHP echo $FonCi_Form; ?>"><div align="left">
            <input name="txt_FECHA3" type="text" id="txt_FECHA3" class="textoINPUT" style="background-color:<?PHP echo $CamDe_Form; ?>" value="<?PHP echo $RegFechIDR1; ?>" readonly="readonly" />
          </div></td>
          <td bgcolor="<?PHP echo $FonCi_Form; ?>">&nbsp;</td>
          <td bgcolor="<?PHP echo $FonCi_Form; ?>"><div align="left" class="Clase_TipoLetra">&nbsp;&nbsp;Hora:</div></td>
          <td bgcolor="<?PHP echo $FonCi_Form; ?>"><div align="left">
            <input name="txt_HORA2" type="text" id="txt_HORA2" class="textoINPUT" style="background-color:<?PHP echo $CamDe_Form; ?>" value="<?PHP echo $RegHoraIDR1; ?>" readonly="readonly" />
          </div></td>
        </tr>
        <tr>
          <td colspan="5" bgcolor="<?PHP echo $FonCi_Form; ?>">&nbsp;</td>
        </tr>
        <tr>
          <td colspan="5" bgcolor="<?PHP echo $FonCi_Form; ?>"><input name="UsuKP" / type="text" id="UsuKP"  style='visibility:hidden' value="<?PHP echo $UsuEn; ?>" size="3" />
          <input name="TokenKP" / type="text" id="TokenKP"  style='visibility:hidden' value="<?PHP echo $TokEn; ?>" size="3" />
          <input name="IdDAcce" / type="text" id="IdDAcce"  style='visibility:hidden' value="<?PHP echo $IDSeEn; ?>" size="3" />
          <input name="CtaSKP" / type="text" id="CtaSKP"  style='visibility:hidden' value="<?PHP echo $CtaSesionEn; ?>" size="3" />
          <input name="VPN" / type="text" id="VPN"  style='visibility:hidden' value="<?PHP echo $VpnEn; ?>" size="3" />
          <input name="LT" / type="text" id="LT"  style='visibility:hidden' value="<?PHP echo $LtEn; ?>" size="3" /></td>
        </tr>
  </table>
    <form id="neo" name="neo" method="post" action="34-ReciboDocumentoRecibo3.php">
      <table width="842" border="0" style="border-collapse: collapse" bgcolor="<?PHP echo $FonTi_Form; ?>">
        <tr>
          <td width="842" bgcolor="<?PHP echo $FonSe_Form; ?>">.</td>
        </tr>
        <tr>
          <td bgcolor="<?PHP echo $FonCi_Form; ?>"><div align="center">
            <input type="button" class="button" style="height:25px; width:80px" value="Regresar" onclick=" window.location.href='<?PHP echo"126-VisualizacionOrdenDeTrabajo.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&VPN=$VpnEn&LT=$LtEn&CtaSKP=$CtaSesionEn";?>' " />
            &nbsp;&nbsp;&nbsp;&nbsp;
            <input type="button" class="button" style="height:25px; width:80px" value="Cancelar" onclick=" window.location.href='<?PHP echo"Home.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&VPN=$VpnEn&LT=$LtEn&CtaSKP=$CtaSesionEn";?>' " />
            &nbsp;&nbsp;&nbsp;&nbsp;
            <input type="button" class="button" style="height:25px; width:93px" value="Visualizar Armado" onclick="javascript:otra_ventana('128-VisualizaBufferArmado.php?UsuKP=<?PHP echo $UsuEn; ?>&amp;IdDAcce=<?PHP echo $IDSeEn; ?>&amp;TokenKP=<?PHP echo $TokEn; ?>&amp;CtaSKP=<?PHP echo $CtaSesionEn; ?>&amp;VPN=<?PHP echo $VpnEn; ?>&amp;LT=<?PHP echo $LtEn; ?>&amp;NoOrden=<?PHP echo $NoOrdenEn; ?>')"; />
            &nbsp;&nbsp;&nbsp;&nbsp;
            <input type="button" class="button" style="height:25px; width:103px" value="Impresión de Tareas" onclick="window.open(' <?PHP echo "ToPDF/Reportes/PDF_TareasTraslado.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&VPN=$VpnEn&LT=$LtEn&CtaSKP=$CtaSesionEn&NoOrdenKP=$NoOrdenEn"; ?>','_blank');" />&nbsp;&nbsp;&nbsp;&nbsp;<input type="button" class="button" style="height:25px; width:103px" value="Confirmación Directa" onclick="confirmarRegistro2();" />
          </div></td>
        </tr>
        <tr>
          <td bgcolor="<?PHP echo $FonCi_Form; ?>"><div align="center"><Br>
  <input type="button" class="button" style="height:25px; width:120px" value="Visualizar Recolecci&oacute;n" onclick="javascript:otra_ventana2('129-VisualizaRecoleccion.php?UsuKP=<?PHP echo $UsuEn; ?>&amp;IdDAcce=<?PHP echo $IDSeEn; ?>&amp;TokenKP=<?PHP echo $TokEn; ?>&amp;CtaSKP=<?PHP echo $CtaSesionEn; ?>&amp;VPN=<?PHP echo $VpnEn; ?>&amp;LT=<?PHP echo $LtEn; ?>&amp;NoOrden=<?PHP echo $NoOrdenEn; ?>')"; />
  &nbsp;&nbsp;&nbsp;&nbsp;
  <input type="button" class="button" style="height:25px; width:115px" value="Agregar Complemento" name="Complemento" onclick="javascript:otra_ventana3('180-AgregaComplementoOrdenTrabajo.php?UsuKP=<?PHP echo $UsuEn; ?>&amp;IdDAcce=<?PHP echo $IDSeEn; ?>&amp;TokenKP=<?PHP echo $TokEn; ?>&amp;CtaSKP=<?PHP echo $CtaSesionEn; ?>&amp;VPN=<?PHP echo $VpnEn; ?>&amp;LT=<?PHP echo $LtEn; ?>&amp;NoOrden=<?PHP echo $NoOrdenEn; ?>')"; />&nbsp;&nbsp;&nbsp;&nbsp;<input type="button" class="button" style="height:25px; width:103px" value="Procesar Backorder" onclick="confirmarRegistro();" />&nbsp;&nbsp;&nbsp;&nbsp;
			  <input type="button" class="button" style="height:25px; width:103px" value="Impresión de Orden" onclick="javascript:imprSelec('muestra');function imprSelec(muestra)
{var ficha=document.getElementById(muestra);var ventimp=window.open(' ','popimpr');ventimp.document.write(ficha.innerHTML);ventimp.document.close();ventimp.print();ventimp.close();};" />
			  
          </div></td>
        </tr>
        <tr>
          <td height="20" align="right" bgcolor="<?PHP echo $FonTi_Form; ?>">.</td>
        </tr>
      </table>
  </form>
</div>

<Br><Br>
<div align="center">
<div id="muestra">
  <?PHP
		//////Muestra Clientes Registrados
		
			$Cve_Reporte = "CREP201506100091";
			/////////Identificar configuracion: Paginación x Reporte
			$sqlC2 = mysql_query("select * from wms_configura_paginacionesxreporte where CVE_REPORTE='$Cve_Reporte'");
			if (mysql_numrows($sqlC2)==0) echo "";
			else{
			$registroC2=mysql_fetch_array($sqlC2);
			}
			if (mysql_numrows($sqlC2)>0)
			{
			$LomitC2=$registroC2["LIMITE_REGISTROS_SQL"];
			}
		
			///Identificar Paginación
				$DetPagSel=$_POST['Checked'] or $DetPagSel=$_GET['Checked'];
		
				////if ($DetPagSel=="NO")
				if ($DetPagSel=="NO")
					{
						require_once("Paginaciones/PHPPaging_10000Reg.lib.php");
						$ValChecked ="SI";						
					}
					else
					{
						require_once("Paginaciones/PHPPaging_50Reg.lib.php");
						$VisEstInput = "checked='checked'"; 
						$ValChecked ="NO";
					}
		
		echo("<table cellspacing='0' border='1' style='color:$CFTi_Tabl;background-color:$Fond_Tabl;border-style:None; bordercolor=:$Bord_Tabl; font-family:$FTit_Tabl;font-size:$TTit_Tabl;height:200 px;width:99%;border-collapse:collapse' rules='all'>");
		echo("<tr>");
	    echo("<td height='3' colspan='3' style='color:White;font-family:Verdana' align='left'>&nbsp;&nbsp;Detalle Orden</td>");
		echo("<td height='3' colspan='19' style='color:White;font-family:Verdana' align='right'>Límite $LomitC2 | Paginación&nbsp;"); ?><input type=checkbox <?PHP echo $VisEstInput; ?> onClick=" window.location.href='<?PHP echo"126-VisualizacionDetalleOrdenDeTrabajo.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Checked=$ValChecked&NoOrden=$NoOrdenEn";?>' "><?PHP echo("&nbsp;</td>"); 
	   	echo("</tr>");
		echo("<tr>");
	   	echo("<td height='16' style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold' align='center'>Id</td>");
		echo("<td height='16' style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold' align='center'>CveBodega</td>");
		echo("<td height='16' style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold' align='center'>CveCuenta</td>");	
	    echo("<td height='16' style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold' align='center'>No.Orden</td>");
		echo("<td style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold;' align='center'>PedimentoSolicitado</td>");
		echo("<td style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold;' align='center'>TipoExtracción</td>");
		echo("<td style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold;' align='center'>Sku</td>");
		echo("<td style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold;' align='center'>Descripción</td>");
	    echo("<td style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold;' align='center'>Can.X Trabajar</td>");
		echo("<td style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold;' align='center'>Can.Apartada</td>");
		echo("<td style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold;' align='center'>Can.Trasladada</td>");		
		echo("<td style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold;' align='center'>Can.Trabajada</td>");
		echo("<td style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold;' align='center'>Estadolinea</td>");
		echo("<td style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold;' align='center'>EAN13</td>");
		echo("<td style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold;' align='center'>Proceso</td>");
		echo("<td style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold;' align='center'>Cajilla</td>");
		echo("<td style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold;' align='center'>CajaMaster</td>");
		echo("<td style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold;' align='center'>Set</td>");
		echo("<td style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold;' align='center'>Notas</td>");
		echo("<td style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold;' align='center'>Observaciones</td>");
		echo("<td style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold;' align='center'>Usuario</td>");
		echo("<td style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold;' align='center'>Log</td>");
	    echo("</tr>");
		
		$ConteoWH = "0"; 
		$CantxTraSum = "0";
		$CantAparSum = "0";
		$CantTrasSum = "0";
		$CantTrabSum = "0";
			
		/////////Inicia cuerpo SQL	
		$paging = new PHPPaging;
		$paging->linkEstructura("126-VisualizacionDetalleOrdenDeTrabajo.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&VPN=$VpnEn&LT=$LtEn&CtaSKP=$CtaSesionEn&paginas={n}");
		$paging->agregarConsulta("SELECT * FROM extra_ordentrabajo WHERE CVE_CUENTA='$CveCueCR1' AND NO_ORDEN='$NoOrdenEn' ORDER BY ID ASC");
	
		$paging->ejecutar();  	
		while($f= $paging->fetchResultado()) 
		{
			////$IDC = $f[ID];
			$ConteoWH = $ConteoWH + 1;
			
			if($ConteoWH%2==0) 
				{ 
				$BgFondoFinal = $BgF1_Tabl; ///Color Primario
				$BgFondoEdoLin = $BgF1_Tabl;
				} 
				else
				{
				$BgFondoFinal= $BgF2_Tabl; ///Color Secundario
				$BgFondoEdoLin = $BgF2_Tabl;
				}
			
			if($f[ESTADO_LINEA]=="MAQUILADA") 
				{
					$BgFondoEdoLin ="#2EFE2E";
				}
			
			if($f[ESTADO_LINEA]=="CANCELADA") 
				{
					$BgFondoEdoLin ="#FF8000";
				}
			
			if($f[ESTADO_LINEA]=="BACKORDER") 
				{
					$BgFondoEdoLin ="#2E64FE";
				}
			
		

		///Totalizando Cantidades
		$CantAparSum = $CantAparSum + $f[CANTIDAD_APARTADA];
		$CantTrasSum = $CantTrasSum + $f[CANTIDAD_TRASLADADA];
		$CantTrabSum = $CantTrabSum + $f[CANTIDAD_TRABAJADA];
				
		echo("<tr>");
		echo("<td height='16' style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal'>$ConteoWH</td>");
		echo("<td style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal' align='center'>$f[CVE_BODEGA]</td>");
		echo("<td style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal' align='center'>$f[CVE_CUENTA]-$CtaSesionEn</td>");		
		echo("<td style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal' align='center'>$f[NO_ORDEN]</td>");
    	echo("<td style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal' align='center'>$f[PEDIMENTO_SOLICITADO]</td>");
		echo("<td style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal' align='center'>$f[TIPO_EXTRACCION]</td>");
	    echo("<td style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal' align='center'>");
		///Identificar si ya existe un armado preconfigurado
			$sql_IACT = mysql_query("select ID from extra_ordentrabajo_armado where NO_ORDEN='$NoOrdenEn' AND SKU='$f[SKU]' AND PEDIMENTO_SOLICITADO='$f[PEDIMENTO_SOLICITADO]' AND TIPO_EXTRACCION='$f[TIPO_EXTRACCION]'");
			if (mysql_numrows($sql_IACT)==0 AND $f[ESTADO_LINEA]<>'CANCELADA') 
			{///Inicia IF de Detección de Armado
					
		?>		
		<a href="javascript:popup('128-AsignacionDeArmado.php?UsuKP=<?PHP echo $UsuEn; ?>&IdDAcce=<?PHP echo $IDSeEn; ?>&TokenKP=<?PHP echo $TokEn; ?>&CtaSKP=<?PHP echo $CtaSesionEn; ?>&VPN=<?PHP echo $VpnEn; ?>&LT=<?PHP echo $LtEn; ?>&IdBD=<?PHP echo $f[ID]; ?>&SkuBD=<?PHP echo $f[SKU]; ?>&NoOrden=<?PHP echo $f[NO_ORDEN]; ?>',890,600)" style='color:<?PHP echo $CCue_Tabl; ?>'><?PHP echo $f[SKU]; ?></a>	
        <?PHP
			}///Termina IF de Detección de Armado
			else
			{
				echo $f[SKU];
			}
		echo("</td>");
    	echo("<td style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal' align='center'>$f[DESCRIPCION]</td>");
		echo("<td style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal' align='right'>$f[CANTIDAD_X_TRABAJAR]</td>");
		echo("<td style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal' align='right'>$f[CANTIDAD_APARTADA]</td>");
		echo("<td style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal' align='right'>$f[CANTIDAD_TRASLADADA]</td>");		
		echo("<td style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal' align='right'>")?> 
<?PHP
if($f[ESTADO_LINEA]<>"MAQUILADA" AND $f[ESTADO_LINEA]<>'CANCELADA') 
	{
?>        
        <a href="javascript:popup('126-ComplementoDeRecoleccion.php?UsuKP=<?PHP echo $UsuEn; ?>&IdDAcce=<?PHP echo $IDSeEn; ?>&TokenKP=<?PHP echo $TokEn; ?>&CtaSKP=<?PHP echo $CtaSesionEn; ?>&VPN=<?PHP echo $VpnEn; ?>&LT=<?PHP echo $LtEn; ?>&IdBD=<?PHP echo $f[ID]; ?>&SkuBD=<?PHP echo $f[SKU]; ?>&NoOrden=<?PHP echo $f[NO_ORDEN]; ?>',890,600)" style='color:<?PHP echo $CCue_Tabl; ?>'><?PHP echo $f[CANTIDAD_TRABAJADA]; ?></a>
		
<?PHP
	}
	else
	{
		echo $f[CANTIDAD_TRABAJADA];
	}
?>                
		<?PHP echo("</td>");
		echo("<td style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoEdoLin' align='center'>")?> 
	<?PHP
		if(($f[ESTADO_LINEA]=="POR CONFIMAR" OR $f[ESTADO_LINEA]=="BACKORDER") AND $EdoOrdeIDR1<>"CERRADA") 
		{
	?>        
        	<a href="javascript:popup('126-CancelacionLineaOrdenTrabajo.php?UsuKP=<?PHP echo $UsuEn; ?>&IdDAcce=<?PHP echo $IDSeEn; ?>&TokenKP=<?PHP echo $TokEn; ?>&CtaSKP=<?PHP echo $CtaSesionEn; ?>&VPN=<?PHP echo $VpnEn; ?>&LT=<?PHP echo $LtEn; ?>&IdBD=<?PHP echo $f[ID]; ?>&SkuBD=<?PHP echo $f[SKU]; ?>&NoOrden=<?PHP echo $f[NO_ORDEN]; ?>',890,500)" style='color:<?PHP echo $CCue_Tabl; ?>;text-decoration:none;'><?PHP echo $f[ESTADO_LINEA]; ?></a>
		
	<?PHP
		}
		else
		{
			///Si fue Cancelada la Linea Genera la alerta donde se visualiza la información de la cancelación
			if($f[ESTADO_LINEA]=="CANCELADA") 
			{
	?>
				<a href="#" onClick="alert('Log de Cancelación: <?PHP echo $f[FECHA_CAN]." - ".$f[HORA_CAN]; ?>\n\nMotivo: <?PHP echo $f[MOTIVO_CANCELACION]; ?>')" style='color:<?PHP echo $CCue_Tabl; ?>;text-decoration:none;'> <?PHP echo $f[ESTADO_LINEA]; ?> </a>
	<?PHP
			}
			else
			{
			///Si no fue cancelada y todo esta correcto solo muestra el estado
				echo $f[ESTADO_LINEA];	
			}
		}
	?>                
		<?PHP echo("</td>");
		echo("<td style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal' align='center'>$f[EAN13]</td>");
		echo("<td style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal' align='center'>$f[PROCESO]</td>");
		echo("<td style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal' align='center'>$f[CAJILLA]</td>");
		echo("<td style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal' align='center'>$f[CAJAMASTER]</td>");
		echo("<td style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal' align='center'>$f[ARMSET]</td>");
		echo("<td style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal' align='center'>$f[NOTAS]</td>");
		echo("<td style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal' align='center'>$f[OBSERVACIONES]</td>");
		echo("<td style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal' align='center'>$f[USUARIO]</td>");
		echo("<td style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal' align='center'>$f[FECHA] - $f[HORA]</td>");		
		echo("</tr>");
			}
			
			///Identificar el total de piezas a Trabajar dentro de la OT
			$sqlSUMA = "SELECT SUM(CANTIDAD_X_TRABAJAR) as ObtCant FROM extra_ordentrabajo WHERE CVE_CUENTA='$CveCueCR1' AND NO_ORDEN='$NoOrdenEn' AND ESTADO_LINEA<>'CANCELADA'";
			$resSUMA = mysql_query($sqlSUMA); 
			$PrePiezas = mysql_fetch_assoc($resSUMA);
			$CantxTraSum =  $PrePiezas ['ObtCant'];
			
		echo("<tr>");	
		echo("<td height='16' colspan='3' style='font-size:10px;font-family:Verdana'>Registros: $ConteoWH</td>");
	    echo("<td colspan='5' align='center'>");
		echo 'Pag. '.$paging->fetchNavegacion();
		echo("</td>");
		echo("<td height='16' style='font-size:10px;font-family:Verdana' align='right'>T: $CantxTraSum</td>");
		echo("<td height='16' style='font-size:10px;font-family:Verdana' align='right'>T: $CantAparSum</td>");
		echo("<td height='16' style='font-size:10px;font-family:Verdana' align='right'>T: $CantTrasSum</td>");
		echo("<td height='16' style='font-size:10px;font-family:Verdana' align='right'>T: $CantTrabSum</td>");
		echo("<td height='16' colspan='10' style='font-size:10px;font-family:Verdana'></td>");
		echo("</tr>");
		echo("</table>");
	?>
</div>	
	<?PHP
			
		/// Se unen las 2 Tablas dentro de la misma Capa
		echo("<Br><Br>");
			
		echo("<table cellspacing='0' border='1' style='color:$CFTi_Tabl;background-color:$Fond_Tabl;border-style:None; bordercolor=:$Bord_Tabl; font-family:$FTit_Tabl;font-size:$TTit_Tabl;height:200 px;width:130%;border-collapse:collapse' rules='all'>");
		echo("<tr>");
	    echo("<td height='3' colspan='2' style='color:White;font-family:Verdana' align='left'>&nbsp;&nbsp;Tareas de Traslado</td>");
		echo("<td height='3' colspan='18' style='color:White;font-family:Verdana' align='right'>Límite $LomitC2 | Paginación&nbsp;"); ?> <input type=checkbox <?PHP echo $VisEstInput; ?> onClick=" window.location.href='<?PHP echo"126-VisualizacionDetalleOrdenDeTrabajo.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Checked=$ValChecked&NoOrden=$NoOrdenEn";?>' "> <?PHP echo("&nbsp;</td>");
	    echo("</tr>");
		echo("<tr>");
	    echo("<td height='16' style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold' align='center'>Id</td>");
		echo("<td height='16' style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold;' align='center'>CveBodega</td>");
   		echo("<td style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold;' align='center'>CveCuenta</td>");
		echo("<td style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold;' align='center'>TipoAlmacen</td>");
		echo("<td style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold;' align='center'>#Tarea</td>");
	    echo("<td style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold;' align='center'>#Orden</td>");
		echo("<td style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold;' align='center'>#PalletOriginal</td>");
		echo("<td style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold;' align='center'>#PalletNuevo</td>");
		echo("<td style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold;' align='center'>Sku</td>");
		echo("<td style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold;' align='center'>LoteProd</td>");
		echo("<td style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold;' align='center'>CantXTrabajar</td>");
		echo("<td style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold;' align='center'>CantXApartada</td>");
		echo("<td style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold;' align='center'>CantTrasladada</td>");
		echo("<td style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold;' align='center'>EstadoTarea</td>");
		echo("<td style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold;' align='center'>Usu.Genero</td>");
		echo("<td style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold;' align='center'>LogGeneración</td>");
		echo("<td style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold;' align='center'>Usu.Ejecuto</td>");
		echo("<td style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold;' align='center'>LogEjecución</td>");
		echo("<td style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold;' align='center'>Ubicación</td>");
		echo("<td style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold;' align='center'>Prioridad</td>");
	    echo("</tr>");
		
		$ConteoWH = "0"; 
			
		/////////Inicia cuerpo SQL	
		$paging = new PHPPaging;
		$paging->linkEstructura("126-VisualizacionDetalleOrdenDeTrabajo.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&VPN=$VpnEn&LT=$LtEn&CtaSKP=$CtaSesionEn&paginas={n}");
		$paging->agregarConsulta("SELECT * FROM extra_tareas_ordentrabajo WHERE CVE_CUENTA='$CveCueCR1' AND NO_ORDEN='$NoOrdenEn' ORDER BY ID ASC");
		$paging->ejecutar();  	
		while($f= $paging->fetchResultado()) 
		{
			////$IDC = $f[ID];
			$ConteoWH = $ConteoWH + 1;
			
			if($ConteoWH%2==0) 
				{ 
				$BgFondoFinal = $BgF1_Tabl; ///Color Primario
				$BgFondoEdoLin = $BgF1_Tabl;
				} 
				else
				{
				$BgFondoFinal= $BgF2_Tabl; ///Color Secundario
				$BgFondoEdoLin = $BgF2_Tabl;
				}
			
			///Identificar el color de Letra en el Estado de la Tarea
			if ($f[ESTADO_TAREA]=="EJECUTADA")
				{
				 $ColorLetra="#088A08";
				}
				else
				{
				 $ColorLetra="#333";
				}
			
			if($f[ESTADO_TAREA]=="CANCELADA") 
				{
					$BgFondoEdoLin ="#FF8000";
				}
		
		echo("<tr>");
		echo("<td height='16' style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal'>$ConteoWH</td>");
		echo("<td style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal' align='center'>$f[CVE_BODEGA]</td>");
	    echo("<td style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal' align='center'>$f[CVE_CUENTA] - $CtaSesionEn</td>");
		echo("<td style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal' align='center'>$f[TIPO_EXTRACCION]</td>");
		echo("<td style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal' align='center'>$f[NO_TAREA]</td>");
	    echo("<td style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal' align='center'>$f[NO_ORDEN]</td>");
    	echo("<td style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal' align='center'>$f[NO_PALLET]</td>");
		echo("<td style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal' align='center'>$f[NO_PALLET_NUEVO]</td>");
		echo("<td style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal' align='center'>$f[SKU]</td>");
		echo("<td style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal' align='center'>$f[PEDIMENTO_SOLICITADO]</td>");
		echo("<td style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal' align='center'>$f[CANT_XSURTIR]</td>");
		echo("<td style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal' align='center'>$f[CANT_XTAREA]</td>");
		echo("<td style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal' align='center'>$f[CANT_SURTIDA]</td>");
		echo("<td style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoEdoLin' align='center'><font color='$ColorLetra'>$f[ESTADO_TAREA]</font></td>");
		echo("<td style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal' align='center'>$f[USUARIO_GENERO]</td>");
		echo("<td style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal' align='center'>$f[FECHA_GENERO] - $f[HORA_GENERO]</td>");
		echo("<td style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal' align='center'>$f[USUARIO_EJECUTO]</td>");
		echo("<td style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal' align='center'>$f[FECHA_EJECUTO] - $f[HORA_EJECUTO]</td>");
		echo("<td style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal' align='center'>$f[UBICACION]</td>");
		echo("<td style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal' align='center'>$f[PRIORIDAD]</td>");
		echo("</tr>");
			}
			
			////sumar el total de piezas en CANT_XSURTIR
			$sql_W1 = "SELECT DISTINCT (SKU),CANT_XSURTIR FROM extra_tareas_ordentrabajo WHERE CVE_CUENTA='$CveCueCR1' AND NO_ORDEN='$NoOrdenEn'";
			$res_W1=mysql_query($sql_W1) or die('Error en la consulta: '.mysql_error());
			While($row_W1 = mysql_fetch_array($res_W1,MYSQL_ASSOC))
			{///Inicia While 01
				$Sku_W1=$row_W1["SKU"];
				$IdBd_W1=$row_W1["CANT_XSURTIR"];
					
			}///Termina While 01
			
			////Sumar el total de piezas en por Maquilar
				$sql_Sum4 = "SELECT SUM(CANT_XSURTIR) AS SumCantxTra FROM ( SELECT DISTINCT(SKU), CANT_XSURTIR FROM `extra_tareas_ordentrabajo` WHERE CVE_CUENTA='$CveCueCR1' AND NO_ORDEN='$NoOrdenEn' AND ESTADO_TAREA<>'CANCELADA' ) AS extra_tareas_ordentrabajo";
				$res_Sum4 = mysql_query($sql_Sum4); 
				$PrePiezas_Sum4 = mysql_fetch_assoc($res_Sum4);
				$Total_Sum4 =  $PrePiezas_Sum4 ['SumCantxTra'];
				$CuentaPzas = round($Total_Sum4, 2);
				
			////sumar el total de piezas en CANT_XTAREA
				$sql_Sum2 = "SELECT SUM(CANT_XTAREA) as ObtCant_Sum2 FROM extra_tareas_ordentrabajo WHERE CVE_CUENTA='$CveCueCR1' AND NO_ORDEN='$NoOrdenEn'";
				$res_Sum2 = mysql_query($sql_Sum2); 
				$PrePiezas_Sum2 = mysql_fetch_assoc($res_Sum2);
				$Total_Sum2 =  $PrePiezas_Sum2 ['ObtCant_Sum2'];
				$Total_Sum2_Red = round($Total_Sum2, 2);
				
			////sumar el total de piezas en CANT_SURTIDA
				$sql_Sum3 = "SELECT SUM(CANT_SURTIDA) as ObtCant_Sum3 FROM extra_tareas_ordentrabajo WHERE CVE_CUENTA='$CveCueCR1' AND NO_ORDEN='$NoOrdenEn'";
				$res_Sum3 = mysql_query($sql_Sum3); 
				$PrePiezas_Sum3 = mysql_fetch_assoc($res_Sum3);
				$Total_Sum3 =  $PrePiezas_Sum3 ['ObtCant_Sum3'];
				$Total_Sum3_Red = round($Total_Sum3, 2);

		echo("<tr>");	
		echo("<td height='16' colspan='2' style='font-size:10px;font-family:Verdana'>Registros: $ConteoWH</td>");
		echo("<td colspan='8' align='center'>");
		echo 'Pag. '.$paging->fetchNavegacion();
		echo("</td>");
		echo("<td height='16' style='font-size:10px;font-family:Verdana' align='right'>T: $CuentaPzas</td>");
		echo("<td height='16' style='font-size:10px;font-family:Verdana' align='right'>T: $Total_Sum2_Red</td>");
		echo("<td height='16' style='font-size:10px;font-family:Verdana' align='right'>T: $Total_Sum3_Red</td>");
		echo("<td height='16' colspan='7' style='font-size:10px;font-family:Verdana'>&nbsp;</td>");
		echo("</tr>");
		echo("</table>");
		?>
	
</div>
<Br><Br><Br><Br>

<!-- Termina Cuerpo de la Interfaz Gráfica -->

<script type="text/javascript">
function confirmarRegistro()
{
   if (window.confirm("¿Realmente deseas procesar el Backorder para la Orden: <?PHP echo $NoOrdenEn; ?>?") == true)
      {
		 window.location.href = "181-ProcesarBackOrder.php?UsuKP=<?PHP echo $UsuEn; ?>&IdDAcce=<?PHP echo $IDSeEn; ?>&TokenKP=<?PHP echo $TokEn; ?>&CtaSKP=<?PHP echo $CtaSesionEn; ?>&VPN=<?PHP echo $VpnEn; ?>&LT=<?PHP echo $LtEn; ?>&NoOrdenKP=<?PHP echo $NoOrdenEn; ?>";
      }

}
</script>

<script type="text/javascript">
function confirmarRegistro2()
{
   if (window.confirm("¿Realmente deseas realizar la confirmación directa para la Orden: <?PHP echo $NoOrdenEn; ?>?") == true)
      {
		 window.location.href = "190-ConfirmacionDirecta.php?UsuKP=<?PHP echo $UsuEn; ?>&IdDAcce=<?PHP echo $IDSeEn; ?>&TokenKP=<?PHP echo $TokEn; ?>&CtaSKP=<?PHP echo $CtaSesionEn; ?>&VPN=<?PHP echo $VpnEn; ?>&LT=<?PHP echo $LtEn; ?>&NoOrdenKP=<?PHP echo $NoOrdenEn; ?>";
      }

}
</script>
	
<!-- Script de Impresion del Area de General de la Orden de Trabajo -->
<script type="text/javascript">
function imprSelec(muestra)
{var ficha=document.getElementById(muestra);var ventimp=window.open(' ','popimpr');ventimp.document.write(ficha.innerHTML);ventimp.document.close();ventimp.print();ventimp.close();}
</script>	

<?PHP
//// Termina If Valiador de Estado de Documento
//// Termina If Valiador de Caducidad Documento
//// Termina If Valiador del Documento Recibo
} ///Termina IF Permiso de Acceso 3
} ///Termina IF Permiso de Acceso 2
} ///Termina IF Permiso de Acceso 1
} ///Termina IF Sesion del Token
?>
</body>
</html>